#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <stdio.h>
#include <stdarg.h>
#include <fcntl.h>
#include <nuon/dma.h>
#include <nuon/intr.h>
#include <nuon/mutil.h>
#include <sys/ioctl.h>


#define ERROR -1
#define OK 	   0

#define BAUD_RATE	57600


int	main()
{
	char ch;
	int  rs232fd;
	int n;
	int stat;

	rs232fd=open("/dev/tty0",O_RDWR|O_NONBLOCK);
	if (rs232fd == ERROR)
	{
	  printf("rs232fd is %d\n", rs232fd); fflush(stdout);
	}
	else{
	  printf("RS232 open\n"); fflush(stdout);
	}

	/* ok device is ready, test sending some data	*/

   if((stat = ioctl(rs232fd,SERIAL_BAUD,BAUD_RATE)==OK))
      printf("ioctl: BAUD RATE = %d\n",BAUD_RATE);


	while(1)
	{

	if(read(rs232fd, &ch, 1)==1)
      {

		if(ch == '\r')
		{
         write(rs232fd, "\n", 1);
         write(rs232fd, "\r", 1);
		}
		else{
         write(rs232fd, &ch, 1);
//	     printf("%c", ch); fflush(stdout); // output to file system
		}
      }

	}


	return OK;
}
